# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Namespaces | Functions
prefilter.h File Reference
`#include <libdirac_common/picture.h>`
Include dependency graph for prefilter.h:

Go to the source code of this file.

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

## Functions
void | dirac::CWMFilter (Picture &picture, const int strength)
| Denoises an input frame. More...
void | dirac::CWMFilterComponent (PicArray &pic_data, const int strength)
ValueType | dirac::Median (const ValueType *val_list, const int length)
void | dirac::LPFilter (PicArray &pic_data, const float qf, const int strength)
| Denoises a component. More...
void | dirac::DiagFilter (PicArray &pic_data, const float qf, const int strength)
| Diagonally filters an input component. More...

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.